#
# spec file for package polari
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           polari
Version:        3.20.3
Release:        3.2
Summary:        An IRC Client for GNOME
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Networking/IRC
Url:            http://wiki.gnome.org/Apps/Polari
Source0:        http://download.gnome.org/sources/polari/3.20/%{name}-%{version}.tar.xz
BuildRequires:  gjs >= 1.45.0
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gio-2.0) >= 2.41.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.12
BuildRequires:  pkgconfig(telepathy-glib)
Requires:       gjs >= 1.45.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Polari is a simple IRC Client that is designed to integrate seamlessly
with GNOME 3.

%package -n typelib-1_0-Polari-1_0
Summary:        Client library for interacting with the Polari -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Polari-1_0
Polari is a simple IRC Client that is designed to integrate seamlessly
with GNOME 3.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%suse_update_desktop_file org.gnome.Polari
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_bindir}/polari
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Polari.appdata.xml
%{_datadir}/applications/org.gnome.Polari.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Polari.service
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/glib-2.0/schemas/org.gnome.Polari.gschema.xml
%{_datadir}/polari/
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/clients
%{_datadir}/telepathy/clients/Polari.client
%dir %{_datadir}/icons/hicolor/512x512
%dir %{_datadir}/icons/hicolor/512x512/apps
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/polari/libpolari-1.0.so

%files -n typelib-1_0-Polari-1_0
%defattr(-,root,root)
%dir %{_libdir}/polari
%dir %{_libdir}/polari/girepository-1.0
%{_libdir}/polari/girepository-1.0/Polari-1.0.typelib

%files lang -f %{name}.lang

%changelog
* Fri Aug 19 2016 zaitor@opensuse.org
- Update to version 3.20.3:
  + Fix auto-scrolling to bottom (bgo#765129).
  + Fix rooms in sidebar not updating their read/unread style
    (bgo#768909).
  + Fix connection issues with predefined networks (bgo#766935).
  + Updated translations.
* Thu May 12 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Support pasting text/image content from files (bgo#766066).
  + Enable text/image uploads via drag and drop (bgo#766068).
  + Updated translations.
* Fri Apr 29 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Update roomList header popover on name changes (bgo#763178).
  + Prioritize popular networks (bgo#762733).
  + Fall back to alternative servers on connection failures
    (bgo#762335).
  + Misc. bug fixes (bgo#765124).
  + Updated translations.
* Wed Mar 23 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Misc. bug fixes: bgo#763872, bgo#763873.
  + Updated translations.
* Thu Mar 17 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Misc. bug fixes and cleanups: bgo#763385, bgo#763623.
  + Updated translations.
* Thu Mar  3 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + With no networks, open join-dialog on networks page
    (bgo#762488).
  + Handle irc:// URIs (bgo#728593).
  + Linkify channel names (bgo#762673).
  + Remember the last selected room (bgo#759812).
  + Misc. bug fixes: bgo#762374, bgo#762390, bgo#762424,
    bgo#762590, bgo#762481, bgo#762490.
  + Updated translations.
* Fri Feb 19 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Replace ellipsis with expander arrows in status summaries
    (bgo#759120).
  + Strip color codes from topics (bgo#747415).
  + Offer users to enter server password on authentication failures
    (bgo#709824).
  + Add support for pasting images to public image service
    (bgo#760346).
  + Connection Properties: Only make "Apply" sensitive when there
    are changes (bgo#762015).
  + Provide tab-completion for implemented IRC commands
    (bgo#761304).
  + Make "Reconnect" action work when already connected
    (bgo#761276).
  + Add shortcuts to switch to rooms with unread messages
    (bgo#761290).
  + Allow to set up new connections from predefined networks
    (bgo#761859).
  + Add TLS setting where we cannot turn it on automatically
    (bgo#730892).
  + Overhaul paste confirmation to allow entering text around links
    (bgo#760315).
  + Misc. bug fixes: bgo#760497, bgo#760842, bgo#762015,
    bgo#761723, bgo#761859).
  + Updated translations.
* Fri Jan 29 2016 zaitor@opensuse.org
- Update to version 3.19.4:
  + Use popover to change nickname (bgo#760872).
  + Implement /msg command (bgo#724592).
  + Implement connection management in room list (bgo#761057).
  + Allow to undo connection removal (bgo#761281).
  + Remove Connections dialog (bgo#709984).
  + Misc. bug fixes: bgo#760653, bgo#761269, bgo#761288.
  + Updated translations.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 3.19.3:
  + Compress status messages on idle channels (bgo#711542).
  + Also load history when scrolling via keyboard (bgo#755547).
  + Misc. bug fixes: bgo#759772, bgo#759677, bgo#759032.
  + Updated translations.
* Fri Nov 27 2015 zaitor@opensuse.org
- Update to version 3.19.2:
  + Linkify all supported URI schemes (bgo#755563).
  + Misc. bug fixes: bgo#756323, bgo#757493, bgo#758476.
* Sun Nov 22 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Allow users to edit message after /command errors (bgo#756363).
  + Add help overlay for keyboard shortcuts (bgo#756981).
  + Indicate no matches when filtering userList (bgo#756831).
  + Highlight room rows while showing the context popover
    (bgo#756325).
  + Misc. bug fixes (bgo#755970, bgo#755158, bgo#756761,
    bgo#756848, bgo#756702).
  + Updated translations.
* Wed Oct 14 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Don't highlight nickname matches inside words (bgo#755166).
  + Base nick highlighting and online status on "basenick"
    (bgo#755133).
  + Suggest default values for new connections (bgo#709980).
  + Improve handling of channel names with capital letters
    (bgo#755722).
  + Fix ellipsization in user list (bgo#755477).
  + Use paste.gnome.org as paste service (bgo#726053).
  + Default to account of the currently active room in dialogs
    (bgo#755771).
  + Fix room list ordering on account name changes (bgo#756319).
  + Highlight room list header on hover if sensitive (bgo#755158).
  + Misc. bug fixes (bgo#753420, bgo#756359).
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Misc fixes: bgo#754916.
  + Updated translations.
* Wed Sep  2 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Misc. bug fixes and cleanups.
  + Updated translations.
* Thu Aug 20 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Clear pending messages indication while offline (bgo#753050).
  + Indicate account errors in room list.
  + Re-enable updated paste service integration (bgo#725088).
  + Misc. bug fixes and cleanups (bgo#753335).
  + Updated translations.
* Thu Aug  6 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Add empty state to assist with initial setup (bgo#711832).
  + Fix observing channels from other handlers (bgo#752422).
  + Update new-message indicator to clarify its purpose
    (bgo#751542).
  + Misc. bug fixes: bgo#733327, bgo#752968, bgo#750689.
  + Updated translations.
* Fri Jul 17 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Color contact availability in private chats (bgo#748703).
  + Updated translations.
* Sat May  2 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Improve readability of room list in backdrop state
    (bgo#711854).
  + Distinguish offline nick names in chat log (bgo#710792).
  + Misc. bug fixes and cleanups (bgo#747942).
- Drop polari-chatView-switch-away-from-deprecated-API.patch: Fixed
  upstream.
* Sat May  2 2015 zaitor@opensuse.org
- Add polari-chatView-switch-away-from-deprecated-API.patch: No
  longer use deprecated API, patch from upstream git, stable
  branch (bgo#747942).
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Fixes messages not getting acknowledged due to confused
    toplevel state (bgo#746508).
  + Highlight matches in user list search (bgo#745743).
  + Make line indicator dependent on line spacing (bgo#738671).
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Wed Mar 18 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Follow best practices for window state saving (bgo#745717).
  + Updated translations.
* Thu Mar  5 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Register telepathy service to enable use as default channel
    handler (bgo#745418, bgo#745499).
  + Misc. bug fixes: bgo#745203, bgo#743988.
  + Updated translations.
* Tue Feb 24 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Add high-contrast application icon (bgo#735670).
  + Fix picking up hyperlink color from theme (bgo#743944).
  + Drop selection mode (bgo#736481).
  + Improve a11y support (bgo#743384).
  + Updated translations.
* Fri Dec 19 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + Suppress overshoot indicator when loading backlog (bgo#740132).
  + Fix some corner-cases in type-ahead (bgo#741756).
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.2:
  + Limit height of userlist popover (bgo#738518).
  + Updated translations.
* Sun Dec  7 2014 p.drouand@gmail.com
- Add gjs Requires: polari requires gjs-console binary at
  runtime.
* Wed Oct 15 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Improve performance (bgo#732290).
  + Reset join time to prevent status message flood (bgo#736349).
  + Keep previously fetched user details around (bgo#737136).
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Wed Sep 17 2014 dimstar@opensuse.org
- Update to version 3.13.92:
  + Provide some xchat-gnome compatibility shortcuts (bgo#710053).
  + Adjust to GTK+/Adwaita changes.
  + Updated translations.
* Wed Aug 20 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Fix in-app notifications (bgo#730964).
  + Fix timestamp formatting (bgo#732611).
  + Add context menu to URLs (bgo#712163).
  + Restore saved channels when an account is reconnected
    (bgo#732905).
  + Remember last selected account in join/message dialogs
    (bgo#711833).
  + Adjust to GTK+/Adwaita changes.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.2:
  + Subclass TpBaseClient instead of using two simple clients
    (bgo#723440).
  + Move dialog controls into the header (bgo#730776.
  + Always show notifications for highlights in other channels.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Increase default size of connections dialog (bgo#728643).
  + Updated translations.
* Wed Apr 16 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Misc. fixes.
  + Updated translations.
* Wed Mar 26 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Stop ellipsizing nick.
  + Do not open multiple dialogs if already opened (bgo#715076).
  + Standardize Help/About/Quit app menu items (bgo#720151).
  + Keep chat log around when offline or disconnected (bgo#710271).
  + Fix headerbar item positions after GTK+ changes (bgo#721736).
  + Allow to set up new connections from join dialog (bgo#711833).
  + Don't highlight messages in private chats (bgo#725065).
  + Add 256x256 application icon (bgo#723429).
  + Show number of channel members in headerbar (bgo#710705).
  + Add keyboard shortcuts for directly switching to a room
    (bgo#709983).
  + Show real name as subtitle for private chats (bgo#710819).
  + Respect time format settings for timestamps (bgo#712626).
  + Move user list into a popover (bgo#727039).
  + Bugs fixed: bgo#723432, bgo#722532, bgo#712217, bgo#721703,
    bgo#724902, bgo#722728, bgo#725064, bgo#715025, bgo#719526,
    bgo#720706, bgo#725403, bgo#725688, bgo#721889.
  + Updated translations.
* Wed Nov 27 2013 cfarrell@suse.com
- License update: GPL-2.0+ and LGPL-2.1+
  No indication of GPL-2.0 only license. Also, appears that
  LGPL-2.1+ component is built.
* Thu Nov 14 2013 dimstar@opensuse.org
- Initial package, version 3.11.2.
